import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconCluster = (props: IconProps) => {
    return <Icon id="IconCluster" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M2.5 7.25C2.5 4.90279 4.40279 3 6.75 3C9.09721 3 11 4.90279 11 7.25C11 9.59721 9.09721 11.5 6.75 11.5C4.40279 11.5 2.5 9.59721 2.5 7.25ZM6.75 5C5.50736 5 4.5 6.00736 4.5 7.25C4.5 8.49264 5.50736 9.5 6.75 9.5C7.99264 9.5 9 8.49264 9 7.25C9 6.00736 7.99264 5 6.75 5Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M17.25 3C14.9028 3 13 4.90279 13 7.25C13 9.59721 14.9028 11.5 17.25 11.5C19.5972 11.5 21.5 9.59721 21.5 7.25C21.5 4.90279 19.5972 3 17.25 3ZM15 7.25C15 6.00736 16.0074 5 17.25 5C18.4926 5 19.5 6.00736 19.5 7.25C19.5 8.49264 18.4926 9.5 17.25 9.5C16.0074 9.5 15 8.49264 15 7.25Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M17.25 13.5C14.9028 13.5 13 15.4028 13 17.75C13 20.0972 14.9028 22 17.25 22C19.5972 22 21.5 20.0972 21.5 17.75C21.5 15.4028 19.5972 13.5 17.25 13.5ZM15 17.75C15 16.5074 16.0074 15.5 17.25 15.5C18.4926 15.5 19.5 16.5074 19.5 17.75C19.5 18.9926 18.4926 20 17.25 20C16.0074 20 15 18.9926 15 17.75Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M6.75 13.5C4.40279 13.5 2.5 15.4028 2.5 17.75C2.5 20.0972 4.40279 22 6.75 22C9.09721 22 11 20.0972 11 17.75C11 15.4028 9.09721 13.5 6.75 13.5ZM4.5 17.75C4.5 16.5074 5.50736 15.5 6.75 15.5C7.99264 15.5 9 16.5074 9 17.75C9 18.9926 7.99264 20 6.75 20C5.50736 20 4.5 18.9926 4.5 17.75Z" />
    </Icon>;
};

export default IconCluster;
